## com.google.common.collect
Interface Maps.EntryTransformer<K,V1,V2>

Type Parameters:
  `K` - the key type of the input and output entries
  `V1` - the value type of the input entry
  `V2` - the value type of the output entry

Enclosing class:
  Maps

    public static interface Maps.EntryTransformer<K,V1,V2>

A transformation of the value of a key-value pair, using both key and value as inputs. To apply the transformation to a map, use `Maps.transformEntries(Map, EntryTransformer)`.

Since:
  7.0

Method Summary
`V2` `transformEntry(K key, V1 value)` Determines an output value based on a key-value pair.

Method Detail

### transformEntry

    V2 transformEntry(@Nullable
                      K key,
                      @Nullable
                      V1 value)

  Determines an output value based on a key-value pair. This method is generally expected, but not absolutely required, to have the following properties:
  - Its execution does not cause any observable side effects.
  - The computation is consistent with equals; that is, `Objects.equal` `(k1, k2) &&` `Objects.equal(java.lang.Object, java.lang.Object)` `(v1, v2)` implies that `Objects.equal(transformer.transform(k1, v1), transformer.transform(k2, v2))`.

  Throws:
    `NullPointerException` - if the key or value is null and this transformer does not accept null arguments

Copyright © 2010-2012. All Rights Reserved.